\name{preprocess_Reuters_21578_XML}
\alias{preprocess_Reuters_21578_XML}
\title{Preprocess Reuters-21578 XML Archive}
\description{
  Preprocess the Reuters-21578 \acronym{XML} archive available at
  \url{http://ronaldo.cs.tcd.ie/esslli07/data/reuters21578-xml.tgz}
  by correcting an invalid UTF-8 encoding and copying each text document into a
  separate file.
}
\usage{
preprocess_Reuters_21578_XML(input, output, fixEnc = TRUE)
}
\arguments{
  \item{input}{A character describing the input directory.}
  \item{output}{a character describing the output directory.}
  \item{fixEnc}{a logical indicating whether the invalid UTF-8
    encoding in \file{reut2-017.xml} at line 35578 should be
    corrected.}
}
\value{
  No explicit return value. As a side product the directory
  \code{output} contains the processed dataset.
}
\references{
  Lewis, David (1997) \emph{Reuters-21578 Text Categorization
    Collection Distribution 1.0}.
  \url{http://kdd.ics.uci.edu/databases/reuters21578/reuters21578.html}

  Luz, Saturnino \emph{\acronym{XML}-encoded version of Reuters-21578}.
  \url{http://modnlp.berlios.de/reuters21578.html}
}
